# Generated by the protocol buffer compiler.  DO NOT EDIT!
# Source: bot/recommender.proto for package 'bot'

require 'grpc'
require 'bot/recommender_pb'

module Bot
  module RecommenderService
    class Service

      include ::GRPC::GenericService

      self.marshal_class_method = :encode
      self.unmarshal_class_method = :decode
      self.service_name = 'bot.RecommenderService'

      rpc :MergeRequestRecommendations, ::Bot::MergeRequestRecommendationsReq, ::Bot::MergeRequestRecommendationsRes
      rpc :MergeRequestRecommendationsV2, ::Bot::MergeRequestRecommendationsReqV2, ::Bot::MergeRequestRecommendationsResV2
      rpc :PostMergeRequestRecommendations, ::Bot::PostMergeRequestRecommendationsReq, ::Bot::PostMergeRequestRecommendationsRes
    end

    Stub = Service.rpc_stub_class
  end
end
